Bug 533273 - memory leak in pvs with clustered VG
memory leak in pvs with clustered VG
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-05 15:43 EST by Nate Straz
Modified: 2010-06-22 17:41 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-22 17:41:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2009-11-05 15:43:58 EST
Description of problem:

When there exists a clustered volume group and LVM is configured for local locking, a memory leak message is printed from `pvs`.



Version-Release number of selected component (if applicable):
lvm2-2.02.53-2.fc12.i686
lvm2-cluster-2.02.53-2.fc12.i686


How reproducible:
Every time

Steps to Reproduce:
1. lvmconf --disable-cluster
2. pvcreate /dev/sdb1
3. vgcreate clustered /dev/sdb1
4. vgchange -cy clustered
5. pvs
  
Actual results:

[root@morph-01 ~]# lvmconf --disable-cluster
[root@morph-01 ~]# pvcreate /dev/sdb1
  Physical volume "/dev/sdb1" successfully created
[root@morph-01 ~]# vgcreate clustered /dev/sdb1
  Volume group "clustered" successfully created
[root@morph-01 ~]# pvs
  PV         VG         Fmt  Attr PSize   PFree
  /dev/sda2  vg_morph01 lvm2 a-    37.07G      0
  /dev/sdb1  clustered  lvm2 a-   271.34G 271.34G
[root@morph-01 ~]# vgchange -cy clustered
  Volume group "clustered" successfully changed
[root@morph-01 ~]# pvs
  Skipping clustered volume group clustered
  Skipping volume group clustered
  PV         VG         Fmt  Attr PSize  PFree
  /dev/sda2  vg_morph01 lvm2 a-   37.07G    0
  You have a memory leak (not released memory pool):
   [0x90ecab0]
  You have a memory leak (not released memory pool):
   [0x90ecab0]

Expected results:

No memory leak

Additional info:

The memory leak goes away when cluster locking is enabled.
[root@morph-01 ~]# lvmconf --enable-cluster
[root@morph-01 ~]# pvs
  PV         VG         Fmt  Attr PSize   PFree
  /dev/sda2  vg_morph01 lvm2 a-    37.07G      0
  /dev/sdb1  clustered  lvm2 a-   271.34G 271.34G
Comment 1 Bug Zapper 2009-11-16 10:10:39 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Milan Broz 2010-06-22 17:41:07 EDT
This should be fixed in recent code.

Note You need to log in before you can comment on or make changes to this bug.